using System;
using System.Threading;

class Action
{
	public Action (int start, int increment, int end)
	{
		this.start = start;
		this.increment = increment;
		this.end = end;
	}

	private int start;
	private int increment;
	private int end;

	public void Count()
	{
		for (int i = start; i <= end; i += increment)
		{
			Console.WriteLine("Value: {0} for Thread: {1}", i, Thread.CurrentThread.GetHashCode());
			Thread.Sleep(500);
		}

	}

}

class Example
{
	static void Main()
	{
		Action a1 = new Action(1, 10, 100);
		Action a2 = new Action(100, 10, 200);

		ThreadStart ts1 = new ThreadStart(a1.Count);
		ThreadStart ts2 = new ThreadStart(a2.Count);

		Thread t1 = new Thread(ts1);
		Thread t2 = new Thread(ts2);

		t1.Start();
		t2.Start();

		t1.Join();
		t2.Join();


	}
}

