using System;
using System.Collections;
using System.Security.Permissions;
using System.Security.Policy;
using System.Threading;

class Host
{
	static void Main()
	{
		Console.WriteLine("Host executing on Thread {0}", Thread.CurrentThread.GetHashCode());
		OutputZoneAndUrlEvidence();

		Evidence ev = AppDomain.CurrentDomain.Evidence;
		Evidence evidence = new Evidence(ev);
		evidence.AddHost( new Url(@"file://f:/"));
		evidence.AddHost(new Test());

		AppDomainSetup setupInfo = new AppDomainSetup();
		setupInfo.ConfigurationFile = "foo.config";

		AppDomain appDomain = AppDomain.CreateDomain("NewAppDomain", evidence, setupInfo);
		appDomain.ExecuteAssembly("TargetAssembly.exe");
	}

	static void OutputZoneAndUrlEvidence()
	{
		Console.WriteLine("Output security evidence from host: ");
		Evidence ev = AppDomain.CurrentDomain.Evidence;
		IEnumerator iEnum = ev.GetEnumerator();
		bool bNext;

		bNext = iEnum.MoveNext();
		while (bNext == true)
		{
			object x = iEnum.Current;
			Type t = x.GetType();
			Console.WriteLine("    " + t.ToString());
			if (t == typeof(System.Security.Policy.Zone))
			{
				Zone zone = x as Zone;
				Console.WriteLine("       " + zone.SecurityZone.ToString());
			}
			else if (t == typeof(System.Security.Policy.Url))
			{
				Url url = x as Url;
				Console.WriteLine("       " + url.Value.ToString());
				
			}
			bNext = iEnum.MoveNext();
		}
	}
}


