using System;
using System.Collections;
using System.Security.Permissions;
using System.Security.Policy;
using System.Threading;

class Host
{
	static void Main()
	{
		Console.WriteLine("Security Evidence: ");
		Evidence ev = AppDomain.CurrentDomain.Evidence;
		IEnumerator iEnum = ev.GetEnumerator();
		bool bNext;

		bNext = iEnum.MoveNext();
		while (bNext == true)
		{
			object x = iEnum.Current;
			Type t = x.GetType();
			if (t == typeof(System.Security.Policy.Zone))
			{
				Console.WriteLine("    " + t.ToString());
				Zone zone = x as Zone;
				Console.WriteLine("       " + zone.SecurityZone.ToString());
			}
			else if (t == typeof(System.Security.Policy.Url))
			{
				Console.WriteLine("    " + t.ToString());
				Url url = x as Url;
				Console.WriteLine("       " + url.Value.ToString());
				
			}
			bNext = iEnum.MoveNext();
		}
	}
}


